Bug 4473 - Recent comments view for the OPAC
Summary: Recent comments view for the OPAC
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Keywords:
Depends on: 5218
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-10 12:56 UTC by Owen Leonard
Modified: 2012-10-25 23:09 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Screenshot of proposed page display (81.02 KB, image/png)
2010-09-08 13:50 UTC, Owen Leonard
Details
Screenshot of proposed rss display (69.82 KB, image/png)
2010-09-09 13:04 UTC, Owen Leonard
Details
Proposed fix (48.51 KB, patch)
2010-12-07 17:55 UTC, Owen Leonard
Details | Diff | Splinter Review
Follow-up fix (5.35 KB, patch)
2011-10-04 14:25 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Follow-up fix for Bug 4473 - Recent comments view for the OPAC (5.39 KB, patch)
2011-10-04 15:47 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:27:36 UTC


---- Reported by oleonard@myacpl.org 2010-05-10 12:56:42 ----

I would like to see a way for OPAC users to see a list of recent comments in the OPAC. This could be a separate page or just a section which could be enabled on the OPAC main page. It should also provide an RSS feed for recent comments.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:27 UTC  ---

This bug was previously known as _bug_ 4473 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=4473

Actual time not defined. Setting to 0.0
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.

Comment 1 Owen Leonard 2010-09-08 13:50:35 UTC
Created attachment 2606 [details]
Screenshot of proposed page display

Here's a picture what I've worked up so far. I re-purposed the existing script opac-showreviews.pl which wasn't being used anywhere. The display follows the pattern of the non-XSLT results display with the addition of the comment. It shows the 20 most recent comments.
Comment 2 Nicole C. Engard 2010-09-08 14:01:53 UTC
Pretty!
Comment 3 Owen Leonard 2010-09-09 13:04:59 UTC
Created attachment 2608 [details]
Screenshot of proposed rss display

Here's an in-Firefox preview of the RSS feed of recent comments
Comment 4 Owen Leonard 2010-12-07 17:55:05 UTC Comment hidden (obsolete)
Comment 5 Chris Cormack 2010-12-12 21:11:44 UTC
Pushed to master please test
Comment 6 Nicole C. Engard 2010-12-16 15:17:04 UTC
Where is this page? Is it something that the library can add a link to? Or is it already in Koha and I just can't figure out how to get to it?
Comment 7 Owen Leonard 2010-12-16 15:28:24 UTC
> Where is this page? Is it something that the library can add a link to? 

There's no link to it anywhere yet, but you can find it at opac-showreviews.pl. I'm open to suggestions for link placement.
Comment 8 Nicole C. Engard 2010-12-16 15:50:19 UTC
when i go to that page on my local install I get "Can't call method "field" on an undefined value at /home/nengard/kohaclone/C4/Koha.pm line 1265."

The link could go across the top with the other links (tags, suggestions, etc)
Comment 9 Chris Cormack 2010-12-19 23:55:12 UTC
Owen the template needs some work, its failing the translatability test as there are ifs nested inside the CDATA tags


not ok 1 - opac templates are translatable
#   Failed test 'opac templates are translatable'
#   at xt/author/translatable-templates.t line 49.
# xgettext.pl: Warning: opac-showreviews-rss.tmpl: line 14: Possible SGML "closed start tag" notation: <![CDATA[
# 
# <!-- TMPL_IF NAME="OPACAmazonEnabled" --><!-- TMPL_IF NAME="OPACAmazonCoverImages" --><!-- TMPL_IF NAME="normalized_isbn" --><

Its not breaking anything some I'm happy to leave it in, but a follow up patch to fix the template for translators will be needed before release or it will have to come out
Comment 10 Chris Cormack 2010-12-20 19:38:04 UTC
Have edited the TmplTokenizer file so that this stops erroring. With the rewrite to template::toolkit this will become a non-issue but for now it stops hudson whining at me :)
Comment 11 MJ Ray (software.coop) 2011-01-07 11:13:04 UTC
This bug is mentioned in:
Fix for Bug 4473 - Recent comments view for	the OPAC http://lists.koha-community.org/pipermail/koha-patches/2010-December/013197.html
Fix for Bug 4473 - Recent comments view	for the OPAC http://lists.koha-community.org/pipermail/koha-patches/2010-December/013216.html
Comment 12 Owen Leonard 2011-10-04 14:25:14 UTC Comment hidden (obsolete)
Comment 13 Nicole C. Engard 2011-10-04 15:47:12 UTC
Created attachment 5696 [details] [review]
[SIGNED-OFF] Follow-up fix for Bug 4473 - Recent comments view for the OPAC

This follow-up adds a system preference which controls display
of a link to recent comments in the OPAC masthead alongside
"Advanced search," "Tag cloud," etc.

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Comment 14 Paul Poulain 2011-10-07 09:32:32 UTC
QA comment:

Do we really need a syspref for this ? If showreview is unreachable without the link, I think it's enough to say "if the reviews are enabled, then the link is enabled too"
Comment 15 Nicole C. Engard 2011-10-07 12:31:03 UTC
I think we need it to be consistent.  All other links up there are controlled with preferences and I guess libraries like to decide what shows on their menus.

Nicole
Comment 16 Ian Walls 2011-10-19 16:57:43 UTC
Remaining followup patch is just the necessary system preference and template changes to make this feature usable.  From the screenshots, this looks like a very good feature, and adding the links to it will make it much more usable.  Marking as Passed QA
Comment 17 Chris Cormack 2011-10-19 23:13:57 UTC
Pushed, please test